package com.example.chemical.ui.plan.room.bean.locker;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.room.Entity;
import androidx.room.PrimaryKey;
import androidx.room.TypeConverters;

import com.example.chemical.ui.plan.room.RoomConverter;
import com.example.chemical.ui.plan.room.bean.input_add.InventoryItemBean;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Entity
@TypeConverters(RoomConverter.class)
public class CabinetLayerSelect implements Serializable {

    // 当前选择存储的柜子ID
    @PrimaryKey
    private long cabinetId;
    // 当前选择存储柜子的柜门ID
    private long doorId;
    // 当前选择存储柜子的哪一层
    private int layer;

    // 待存储的化学品列表
    private List<InventoryItemBean> inventoryItemBeanList = new ArrayList<>();


    public List<InventoryItemBean> getInventoryItemBeanList() {
        return inventoryItemBeanList;
    }

    public void setInventoryItemBeanList(List<InventoryItemBean> inventoryItemBeanList) {
        this.inventoryItemBeanList = inventoryItemBeanList;
    }

    public CabinetLayerSelect(long cabinetId, long doorId, int layer) {
        this.cabinetId = cabinetId;
        this.doorId = doorId;
        this.layer = layer;
    }

    public long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public long getDoorId() {
        return doorId;
    }

    public void setDoorId(long doorId) {
        this.doorId = doorId;
    }

    public int getLayer() {
        return layer;
    }

    public void setLayer(int layer) {
        this.layer = layer;
    }


    @Override
    public String toString() {
        return "LastSelectInfo{" +
                "cabinetId=" + cabinetId +
                ", doorId=" + doorId +
                ", layer=" + layer +
                ", inventoryItemBeanList=" + inventoryItemBeanList +
                '}';
    }

}
